Bug 1419982

Summary: Resizing gvim window horizontally prints Gtk-WARNINGs
Product: [Fedora] Fedora Reporter: Jonathan Wakely <jwakely>
Component: vimAssignee: Karsten Hopp <karsten>
Status: CLOSED CURRENTRELEASE QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: 24CC: gchamoul, jwakely, karsten, moshima.web, zdohnal
Target Milestone: ---   
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2017-08-08 19:38:33 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:

Description Jonathan Wakely 2017-02-07 14:47:59 UTC
Running gvim from a terminal then resizing the window to make it wider produces the following output:

(gvim:8664): Gtk-WARNING **: Allocating size to GtkToolButton 0x564d1f5aad30 without calling gtk_widget_get_preferred_width/height(). How does the code know the size to allocate?

(gvim:8664): Gtk-WARNING **: Allocating size to GtkSeparatorToolItem 0x564d1f5ad370 without calling gtk_widget_get_preferred_width/height(). How does the code know the size to allocate?

(gvim:8664): Gtk-WARNING **: Allocating size to GtkToolButton 0x564d1f5aaf00 without calling gtk_widget_get_preferred_width/height(). How does the code know the size to allocate?

(gvim:8664): Gtk-WARNING **: Allocating size to GtkToolButton 0x564d1f5b0280 without calling gtk_widget_get_preferred_width/height(). How does the code know the size to allocate?

(gvim:8664): Gtk-WARNING **: Allocating size to GtkToolButton 0x564d1f5b0450 without calling gtk_widget_get_preferred_width/height(). How does the code know the size to allocate?

(gvim:8664): Gtk-WARNING **: Allocating size to GtkSeparatorToolItem 0x564d1f5ada30 without calling gtk_widget_get_preferred_width/height(). How does the code know the size to allocate?

(gvim:8664): Gtk-WARNING **: Allocating size to GtkToolButton 0x564d1f5b0620 without calling gtk_widget_get_preferred_width/height(). How does the code know the size to allocate?

(gvim:8664): Gtk-WARNING **: Allocating size to GtkToolButton 0x564d1f5b07f0 without calling gtk_widget_get_preferred_width/height(). How does the code know the size to allocate?

(gvim:8664): Gtk-WARNING **: Allocating size to GtkToolButton 0x564d1f5b09c0 without calling gtk_widget_get_preferred_width/height(). How does the code know the size to allocate?


The number of warnings depends how wide you make the window.

This is using kwin-5.8.5-1.fc24.x86_64 as the window manager.

Comment 1 Jonathan Wakely 2017-02-07 17:21:49 UTC
Dunno which pkgs are relevant to this:

kwin-5.8.5-1.fc24.x86_64
vim-X11-8.0.206-1.fc24.x86_64
adwaita-gtk2-theme-3.20.2-1.fc24.x86_64
kde-gtk-config-5.8.5-1.fc24.x86_64

Comment 2 Zdenek Dohnal 2017-02-07 18:51:15 UTC
Hi Jonathan,

I couldn't reproduce these warnings, but their nature was similar to other bugs on different components, so I tried to fix it like others fixed it. Would you mind testing rpms from this scratch build https://koji.fedoraproject.org/koji/taskinfo?taskID=17654108 , if it helps?

Comment 3 Jonathan Wakely 2017-02-07 20:45:02 UTC
The 2:8.0.314-2.fc24.x86_64 RPMs don't help. I still get the warnings.

Comment 4 Fedora End Of Life 2017-07-26 00:15:12 UTC
This message is a reminder that Fedora 24 is nearing its end of life.
Approximately 2 (two) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 24. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '24'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 24 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 5 Fedora End Of Life 2017-08-08 19:38:33 UTC
Fedora 24 changed to end-of-life (EOL) status on 2017-08-08. Fedora 24 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Comment 6 Jonathan Wakely 2017-08-09 17:12:29 UTC
This no longer seems to happen in f26.